io_uring_unregister_ring_fd(3)

NAME
io_uring_unregister_ring_fd - unregister a ring file descriptor

SYNOPSIS
#include <liburing.h>

int io_uring_unregister_ring_fd(struct io_uring *ring);

DESCRIPTION

io_uring_unregister_ring_fd(3) unregisters the file descriptor of the ring.

Unregisters a ring descriptor previously registered with the task. This is done automatically when io_uring_queue_exit(3) is called, but can also be done to free up space for new ring registrations. For more information on ring descriptor registration, see io_uring_register_ring_fd(3)

RETURN VALUE
Returns 1 on success, indicating that one file descriptor was unregistered, or -errno on error.

SEE ALSO
io_uring_register_ring_fd(3), io_uring_register_files(3)